summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2020-08-23 20:47:09 -0700
committerZac Medico <zmedico@gentoo.org>2020-08-23 20:48:20 -0700
commit2f2695144abefe76eea5b93d4d1966bed7bf77c1 (patch)
tree993ffb1573e48650d74f931ab138b65263f0593d
parentsys-apps/portage: Remove old version 3.0.3 (diff)
downloadgentoo-2f2695144abefe76eea5b93d4d1966bed7bf77c1.tar.gz
gentoo-2f2695144abefe76eea5b93d4d1966bed7bf77c1.tar.bz2
gentoo-2f2695144abefe76eea5b93d4d1966bed7bf77c1.zip
sys-apps/portage: 3.0.4-r1 revbump for bug 738766
#738766 Ctrl-C with repoman --jobs displays InvalidStateError Bug: https://bugs.gentoo.org/733180 Closes: https://bugs.gentoo.org/738766 Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Zac Medico <zmedico@gentoo.org>
-rw-r--r--sys-apps/portage/portage-3.0.4-r1.ebuild (renamed from sys-apps/portage/portage-3.0.4.ebuild)3
1 files changed, 3 insertions, 0 deletions
diff --git a/sys-apps/portage/portage-3.0.4.ebuild b/sys-apps/portage/portage-3.0.4-r1.ebuild
index 5578b8a560f..9fc28acb058 100644
--- a/sys-apps/portage/portage-3.0.4.ebuild
+++ b/sys-apps/portage/portage-3.0.4-r1.ebuild
@@ -90,6 +90,9 @@ pkg_pretend() {
python_prepare_all() {
distutils-r1_python_prepare_all
+ # Apply b0ed587308eb3cbfafe9abcb1c59f24f48b97cdc for bug 738766.
+ sed "/scheduler.wait()/d" -i lib/portage/util/futures/iter_completed.py || die
+
sed -e "s:^VERSION = \"HEAD\"$:VERSION = \"${PV}\":" -i lib/portage/__init__.py || die
if use gentoo-dev; then